package com.banesco.commons.config;


import lombok.Getter;

/**
 * Clase para definir Status de Respuesta.
 */
@Getter
public enum StatusCodes {

    SUCCESS_OPERATION("OK", "Operación exitosa"),
    FIELD_REQUIRED("VDE01", "Error campo requerido: %s"),
    FAILED_NOTIFICATION("401", "No se pudo enviar la notificacion"),
    INTERNAL_ERROR("500", "Error Interno"),
    FAILED_DEPENDENCY("424", "Falla de dependencia SOAP"),
    TIMEOUT_DEPENDENCY("504", "Timeout de dependencia SOAP");

    private String statusCode;
    private String statusDesc;

    StatusCodes(String statusCode, String statusDesc) {
        this.statusCode = statusCode;
        this.statusDesc = statusDesc;
    }

}
